> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get member's account balance

> Get member's active account balance



## OpenAPI

````yaml openapi/bonus-v1.json GET /v1/members/{memberId}/balance
openapi: 3.0.4
info:
  title: Accounting.Api
  version: v1
servers:
  - url: https://{host}/bonus
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/members/{memberId}/balance:
    get:
      tags:
        - Service2Service
      summary: Get member's account balance
      description: Get member's active account balance
      parameters:
        - name: memberId
          in: path
          description: The id of the member, max length 36
          required: true
          schema:
            maxLength: 36
            type: string
        - name: accountType
          in: query
          description: >-
            (optional) The type of the account. If not provided, the default
            account type will be used
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Accounting.Api.CQRS.Queries.GetBalance.Response
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
      deprecated: true
components:
  schemas:
    Accounting.Api.CQRS.Queries.GetBalance.Response:
      required:
        - availableBalance
        - conversionRate
        - isAllowedToSpend
        - reservedBalance
      type: object
      properties:
        availableBalance:
          type: number
          format: double
        reservedBalance:
          type: number
          format: double
        isAllowedToSpend:
          type: boolean
        conversionRate:
          type: number
          format: double
      additionalProperties: false
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````